<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/sc.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">sc.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d9/d50/sc_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">#ifndef __SC_H__</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#define __SC_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab1a473b529ef7082465c9a36b4be3472">   32</a></span><span class="preprocessor">#define SC_INTERFACE_NUM        2                </span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4139385096ce734bae06ffcf9b3e17f8">   33</a></span><span class="preprocessor">#define SC_PIN_STATE_HIGH       1                </span></div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga701f03dee8707fc79904c366ba9c1ecd">   34</a></span><span class="preprocessor">#define SC_PIN_STATE_LOW        0                </span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaeb55b76af45870f987a07a7eb77a48be">   35</a></span><span class="preprocessor">#define SC_PIN_STATE_IGNORE     0xFFFFFFFF       </span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae3a1226e02cda376b379e6534fd15cd">   36</a></span><span class="preprocessor">#define SC_CLK_ON               1                </span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7594c159808693097956544911873706">   37</a></span><span class="preprocessor">#define SC_CLK_OFF              0                </span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae87df6cf79c2a8d4d11800abdc12fd3d">   39</a></span><span class="preprocessor">#define SC_TMR_MODE_0                   (0ul &lt;&lt; SC_TMR0_MODE_Pos)     </span></div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae0f8c207f06d76ac991f83f4e9e4ef1c">   40</a></span><span class="preprocessor">#define SC_TMR_MODE_1                   (1ul &lt;&lt; SC_TMR0_MODE_Pos)     </span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga678d4e7a4f4df9c67620f61a4a8c9d83">   41</a></span><span class="preprocessor">#define SC_TMR_MODE_2                   (2ul &lt;&lt; SC_TMR0_MODE_Pos)     </span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1e993e725d025908a74b00de76959cfc">   42</a></span><span class="preprocessor">#define SC_TMR_MODE_3                   (3ul &lt;&lt; SC_TMR0_MODE_Pos)     </span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadda1fe01cd6041b3a0a5b873928d99da">   43</a></span><span class="preprocessor">#define SC_TMR_MODE_4                   (4ul &lt;&lt; SC_TMR0_MODE_Pos)     </span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacc35fb3ef29c35ae19726dbdeb821991">   44</a></span><span class="preprocessor">#define SC_TMR_MODE_5                   (5ul &lt;&lt; SC_TMR0_MODE_Pos)     </span></div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga94cf6d5c9afc10553eea1d7b451943e1">   45</a></span><span class="preprocessor">#define SC_TMR_MODE_6                   (6ul &lt;&lt; SC_TMR0_MODE_Pos)     </span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga679670797f561a5b4e15f4bf0d9ba6e4">   46</a></span><span class="preprocessor">#define SC_TMR_MODE_7                   (7ul &lt;&lt; SC_TMR0_MODE_Pos)     </span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno"><a class="line" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga54e0f8ab6f2f17e48af5d64e923d029c">   47</a></span><span class="preprocessor">#define SC_TMR_MODE_8                   (8ul &lt;&lt; SC_TMR0_MODE_Pos)     </span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga94ae5ed2453af741c1895a68cb51161b">   48</a></span><span class="preprocessor">#define SC_TMR_MODE_F                   (0xF &lt;&lt; SC_TMR0_MODE_Pos)      </span><span class="comment">/* end of group NANO1X2_SC_EXPORTED_CONSTANTS */</span><span class="preprocessor"></span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span> </div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae25939fa305f5852efbc7e53406c91b9">   76</a></span><span class="preprocessor">#define SC_ENABLE_INT(sc, u32Mask) ((sc)-&gt;IER |= (u32Mask))</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4269c9aad74dbbe0a213de2d4404ed77">   96</a></span><span class="preprocessor">#define SC_DISABLE_INT(sc, u32Mask) ((sc)-&gt;IER &amp;= ~(u32Mask))</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span> </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga669b8227a1056fa08ceb5afe217d8832">  105</a></span><span class="preprocessor">#define SC_SET_VCC_PIN(sc, u32State) \</span></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span><span class="preprocessor">    do {\</span></div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span><span class="preprocessor">            if(u32State)\</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span><span class="preprocessor">                (sc)-&gt;PINCSR |= SC_PINCSR_POW_EN_Msk;\</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span><span class="preprocessor">            else\</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span><span class="preprocessor">                (sc)-&gt;PINCSR &amp;= ~SC_PINCSR_POW_EN_Msk;\</span></div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span><span class="preprocessor">    }while(0)</span></div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span> </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span> </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga62220e9a491ffc3939ecd0cf91026ddc">  121</a></span><span class="preprocessor">#define SC_SET_CLK_PIN(sc, u32OnOff)\</span></div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span><span class="preprocessor">    do {\</span></div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span><span class="preprocessor">            if(u32OnOff)\</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span><span class="preprocessor">                (sc)-&gt;PINCSR |= SC_PINCSR_CLK_KEEP_Msk;\</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span><span class="preprocessor">            else\</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span><span class="preprocessor">                (sc)-&gt;PINCSR &amp;= ~(SC_PINCSR_CLK_KEEP_Msk);\</span></div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span><span class="preprocessor">    }while(0)</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span> </div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga51438ad6c2f3abab60b73db09fa95bc3">  136</a></span><span class="preprocessor">#define SC_SET_IO_PIN(sc, u32State)\</span></div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span><span class="preprocessor">    do {\</span></div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span><span class="preprocessor">            if(u32State)\</span></div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span><span class="preprocessor">                (sc)-&gt;PINCSR |= SC_PINCSR_SC_DATA_O_Msk;\</span></div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span><span class="preprocessor">            else\</span></div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span><span class="preprocessor">                (sc)-&gt;PINCSR &amp;= ~SC_PINCSR_SC_DATA_O_Msk;\</span></div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span><span class="preprocessor">    }while(0)</span></div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span> </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8e7d2b09409dcd97efff792cd00d0c8a">  151</a></span><span class="preprocessor">#define SC_SET_RST_PIN(sc, u32State)\</span></div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span><span class="preprocessor">    do {\</span></div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span><span class="preprocessor">            if(u32State)\</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span><span class="preprocessor">                (sc)-&gt;PINCSR |= SC_PINCSR_SC_RST_Msk;\</span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span><span class="preprocessor">            else\</span></div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span><span class="preprocessor">                (sc)-&gt;PINCSR &amp;= ~SC_PINCSR_SC_RST_Msk;\</span></div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span><span class="preprocessor">    }while(0)</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span> </div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaadb18d6ea936b003149f60db3aeeb403">  165</a></span><span class="preprocessor">#define SC_READ(sc) ((char)((sc)-&gt;RBR))</span></div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span> </div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2528b4dd15065e779a59a5eb58aa4464">  174</a></span><span class="preprocessor">#define SC_WRITE(sc, u8Data) ((sc)-&gt;THR = (u8Data))</span></div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span> </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae429a57a34b2afd2e041714b0aee0b92">  184</a></span><span class="preprocessor">#define SC_SET_STOP_BIT_LEN(sc, u32Len) ((sc)-&gt;CTL = ((sc)-&gt;CTL &amp; ~SC_CTL_SLEN_Msk) | (u32Len == 1 ? SC_CTL_SLEN_Msk : 0))</span></div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span> </div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad699bccb4c5e1e51532907309a8f25e5">  192</a></span>__STATIC_INLINE <span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad699bccb4c5e1e51532907309a8f25e5">SC_SetTxRetry</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32Count)</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>{</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    <span class="comment">// Retry count must set while enable bit disabled, so disable it first</span></div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>    sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga657b6619f178ac1a923485d599c1b0f7">CTL</a> &amp;= ~(<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a5c7329aa9166b91cb9c541142abe4649">SC_CTL_TX_ERETRY_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a246ada829b66f62ffec0878204be547c">SC_CTL_TX_ERETRY_EN_Msk</a>);</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span> </div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>    <span class="keywordflow">if</span>(u32Count != 0) {</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga657b6619f178ac1a923485d599c1b0f7">CTL</a> |= ((u32Count - 1) &lt;&lt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a40d34e9da20064b18cf4086247591b3f">SC_CTL_TX_ERETRY_Pos</a>) | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a246ada829b66f62ffec0878204be547c">SC_CTL_TX_ERETRY_EN_Msk</a>;</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>    }</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>}</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span> </div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno"><a class="line" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga71291615e3fbee7de0cad3e8ff57a18f">  208</a></span>__STATIC_INLINE <span class="keywordtype">void</span>  <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga71291615e3fbee7de0cad3e8ff57a18f">SC_SetRxRetry</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32Count)</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>{</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>    <span class="comment">// Retry count must set while enable bit disabled, so disable it first</span></div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>    sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga657b6619f178ac1a923485d599c1b0f7">CTL</a> &amp;= ~(<a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#af27e80feb05de5b2cc37809dd5a57a48">SC_CTL_RX_ERETRY_Msk</a> | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a34fa8578721b001e96183408ece207b4">SC_CTL_RX_ERETRY_EN_Msk</a>);</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span> </div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>    <span class="keywordflow">if</span>(u32Count != 0) {</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        sc-&gt;<a class="code hl_variable" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga657b6619f178ac1a923485d599c1b0f7">CTL</a> |= ((u32Count - 1) &lt;&lt; <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#ac877c0106ed4e12c1d88995f438ee1ff">SC_CTL_RX_ERETRY_Pos</a>) | <a class="code hl_define" href="../../da/d91/_nano1_x2_series_8h.html#a34fa8578721b001e96183408ece207b4">SC_CTL_RX_ERETRY_EN_Msk</a>;</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>    }</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>}</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span> </div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span> </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>uint32_t <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga686a066952920555d863a2adbb1c985a">SC_IsCardInserted</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc);</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabbf16e2b53c6775d903d5e398d4c5e29">SC_ClearFIFO</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc);</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fabbdd3ae9853db07af8a98508f8cf">SC_Close</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc);</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3fb708b1684dff67a8ce2c3951e55731">SC_Open</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32CardDet, uint32_t u32PWR);</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31243375c4a9a634e6b5fb3808aabb21">SC_ResetReader</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc);</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2744d5a40d4fd646192c641d20aecb78">SC_SetBlockGuardTime</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32BGT);</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga309160531bd03b3df167a13e5f1e63b1">SC_SetCharGuardTime</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32CGT);</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga450a6bee9c5c243cc116fdeae859dbf3">SC_StopAllTimer</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc);</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f12c3d08c7ab548f69e90e94340aea8">SC_StartTimer</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32TimerNum, uint32_t u32Mode, uint32_t u32ETUCount);</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span><span class="keywordtype">void</span> <a class="code hl_function" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6a9ee8ad942a87c0c22d61ea333e7e0c">SC_StopTimer</a>(<a class="code hl_struct" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32TimerNum);</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span> </div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span> <span class="comment">/* end of group NANO1X2_SC_EXPORTED_FUNCTIONS */</span></div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span> <span class="comment">/* end of group NANO1X2_SC_Driver */</span></div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span> <span class="comment">/* end of group NANO1X2_Device_Driver */</span></div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span> </div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span><span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>}</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span> </div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span><span class="preprocessor">#endif </span><span class="comment">//__SC_H__</span></div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span> </div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span><span class="comment">/*** (C) COPYRIGHT 2014 Nuvoton Technology Corp. ***/</span></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a246ada829b66f62ffec0878204be547c"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a246ada829b66f62ffec0878204be547c">SC_CTL_TX_ERETRY_EN_Msk</a></div><div class="ttdeci">#define SC_CTL_TX_ERETRY_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08202">Nano1X2Series.h:8202</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a34fa8578721b001e96183408ece207b4"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a34fa8578721b001e96183408ece207b4">SC_CTL_RX_ERETRY_EN_Msk</a></div><div class="ttdeci">#define SC_CTL_RX_ERETRY_EN_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08196">Nano1X2Series.h:8196</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a40d34e9da20064b18cf4086247591b3f"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a40d34e9da20064b18cf4086247591b3f">SC_CTL_TX_ERETRY_Pos</a></div><div class="ttdeci">#define SC_CTL_TX_ERETRY_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08198">Nano1X2Series.h:8198</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_a5c7329aa9166b91cb9c541142abe4649"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#a5c7329aa9166b91cb9c541142abe4649">SC_CTL_TX_ERETRY_Msk</a></div><div class="ttdeci">#define SC_CTL_TX_ERETRY_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08199">Nano1X2Series.h:8199</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_ac877c0106ed4e12c1d88995f438ee1ff"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#ac877c0106ed4e12c1d88995f438ee1ff">SC_CTL_RX_ERETRY_Pos</a></div><div class="ttdeci">#define SC_CTL_RX_ERETRY_Pos</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08192">Nano1X2Series.h:8192</a></div></div>
<div class="ttc" id="a_nano1_x2_series_8h_html_af27e80feb05de5b2cc37809dd5a57a48"><div class="ttname"><a href="../../da/d91/_nano1_x2_series_8h.html#af27e80feb05de5b2cc37809dd5a57a48">SC_CTL_RX_ERETRY_Msk</a></div><div class="ttdeci">#define SC_CTL_RX_ERETRY_Msk</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l08193">Nano1X2Series.h:8193</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga2744d5a40d4fd646192c641d20aecb78"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2744d5a40d4fd646192c641d20aecb78">SC_SetBlockGuardTime</a></div><div class="ttdeci">void SC_SetBlockGuardTime(SC_T *sc, uint32_t u32BGT)</div><div class="ttdoc">This function block guard time (BGT) of specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d60/sc_8c_source.html#l00174">sc.c:174</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga309160531bd03b3df167a13e5f1e63b1"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga309160531bd03b3df167a13e5f1e63b1">SC_SetCharGuardTime</a></div><div class="ttdeci">void SC_SetCharGuardTime(SC_T *sc, uint32_t u32CGT)</div><div class="ttdoc">This function character guard time (CGT) of specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d60/sc_8c_source.html#l00185">sc.c:185</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga31243375c4a9a634e6b5fb3808aabb21"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31243375c4a9a634e6b5fb3808aabb21">SC_ResetReader</a></div><div class="ttdeci">void SC_ResetReader(SC_T *sc)</div><div class="ttdoc">This function reset specified smartcard module to its default state for activate smartcard.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d60/sc_8c_source.html#l00119">sc.c:119</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga3fb708b1684dff67a8ce2c3951e55731"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3fb708b1684dff67a8ce2c3951e55731">SC_Open</a></div><div class="ttdeci">void SC_Open(SC_T *sc, uint32_t u32CardDet, uint32_t u32PWR)</div><div class="ttdoc">This function initialized smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d60/sc_8c_source.html#l00091">sc.c:91</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga450a6bee9c5c243cc116fdeae859dbf3"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga450a6bee9c5c243cc116fdeae859dbf3">SC_StopAllTimer</a></div><div class="ttdeci">void SC_StopAllTimer(SC_T *sc)</div><div class="ttdoc">This function stop all smartcard timer of specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d60/sc_8c_source.html#l00197">sc.c:197</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga686a066952920555d863a2adbb1c985a"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga686a066952920555d863a2adbb1c985a">SC_IsCardInserted</a></div><div class="ttdeci">uint32_t SC_IsCardInserted(SC_T *sc)</div><div class="ttdoc">This function indicates specified smartcard slot status.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d60/sc_8c_source.html#l00040">sc.c:40</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga6a9ee8ad942a87c0c22d61ea333e7e0c"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6a9ee8ad942a87c0c22d61ea333e7e0c">SC_StopTimer</a></div><div class="ttdeci">void SC_StopTimer(SC_T *sc, uint32_t u32TimerNum)</div><div class="ttdoc">This function stop a smartcard timer of specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d60/sc_8c_source.html#l00251">sc.c:251</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga6f12c3d08c7ab548f69e90e94340aea8"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f12c3d08c7ab548f69e90e94340aea8">SC_StartTimer</a></div><div class="ttdeci">void SC_StartTimer(SC_T *sc, uint32_t u32TimerNum, uint32_t u32Mode, uint32_t u32ETUCount)</div><div class="ttdoc">This function configure and start a smartcard timer of specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d60/sc_8c_source.html#l00223">sc.c:223</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_ga71291615e3fbee7de0cad3e8ff57a18f"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga71291615e3fbee7de0cad3e8ff57a18f">SC_SetRxRetry</a></div><div class="ttdeci">__STATIC_INLINE void SC_SetRxRetry(SC_T *sc, uint32_t u32Count)</div><div class="ttdoc">Enable/Disable Rx error retry, and set Rx error retry count.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d50/sc_8h_source.html#l00208">sc.h:208</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gabbf16e2b53c6775d903d5e398d4c5e29"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabbf16e2b53c6775d903d5e398d4c5e29">SC_ClearFIFO</a></div><div class="ttdeci">void SC_ClearFIFO(SC_T *sc)</div><div class="ttdoc">This function reset both transmit and receive FIFO of specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d60/sc_8c_source.html#l00061">sc.c:61</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad699bccb4c5e1e51532907309a8f25e5"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad699bccb4c5e1e51532907309a8f25e5">SC_SetTxRetry</a></div><div class="ttdeci">__STATIC_INLINE void SC_SetTxRetry(SC_T *sc, uint32_t u32Count)</div><div class="ttdoc">Enable/Disable Tx error retry, and set Tx error retry count.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d50/sc_8h_source.html#l00192">sc.h:192</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s_html_gad7fabbdd3ae9853db07af8a98508f8cf"><div class="ttname"><a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fabbdd3ae9853db07af8a98508f8cf">SC_Close</a></div><div class="ttdeci">void SC_Close(SC_T *sc)</div><div class="ttdoc">This function disable specified smartcard module.</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d60/sc_8c_source.html#l00071">sc.c:71</a></div></div>
<div class="ttc" id="agroup___n_a_n_o1_x2__legacy___constants_html_ga657b6619f178ac1a923485d599c1b0f7"><div class="ttname"><a href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga657b6619f178ac1a923485d599c1b0f7">SC_T::CTL</a></div><div class="ttdeci">__IO uint32_t CTL</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l07658">Nano1X2Series.h:7658</a></div></div>
<div class="ttc" id="astruct_s_c___t_html"><div class="ttname"><a href="../../d6/d6b/struct_s_c___t.html">SC_T</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d91/_nano1_x2_series_8h_source.html#l07543">Nano1X2Series.h:7544</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:30 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
